function specs_num = cell2num(specs_cell)
%*************************************************************************%
% Author: Dominic Rfenacht, December 2011
% Purpose: 
% This function converts a cell array containing ONLY numbers into a matrix
% in double format.
%*************************************************************************%
%Input: - specs_cell: Matrix in cell format
%Output: - specs_num: Matrix in double format
%*************************************************************************%

[m,n] = size(specs_cell);
specs_num = zeros(m,n);

for i=1:m
    for j=1:n
        specs_num(i,j) = str2num(specs_cell{i,j});
    end
end