// Imageu.h

#include "Image.h"

// byte image routines
void WritePPM(const CImageu &im, const char* filename);
void ReadPPM(CImageu &im, const char* filename);

// integer arithmetic routines
void DownSample2_2x2(CImageu &sim, const CImageu &im);
void DownSample2_3x3(CImageu &sim, const CImageu &im);
void Convolve(unsigned char* dstptr, unsigned char* srcptr, int nPixels, int nBands, const CArrayf &kernelf);
