// mjpeg.h

#pragma once

#include "Image.h"

void ReadJPEG(CImageu &im, string filename);
void ReadJPEG(CImagei &im, string filename);
void ReadJPEG(CImagef &im, string filename);

void WriteJPEG(const CImageu &im, string filename);
void WriteJPEG(const CImagei &im, string filename);
void WriteJPEG(const CImagef &im, string filename);

void WriteJPEG(const CImageu &im, string filename, int quality);
void WriteJPEG(const CImagei &im, string filename, int quality);
void WriteJPEG(const CImagef &im, string filename, int quality);
